Mailinglist Archive: opensuse (2831 mails)

< Previous Next >
[SLE] zen-updater and YOU both stopped working
  • From: Mike Coan <mikecoan@xxxxxxxxxxxxxxxxxxxxxx>
  • Date: Mon, 24 Jul 2006 12:14:48 -0400
  • Message-id: <200607241214.48862.mikecoan@xxxxxxxxxxxxxxxxxxxxxx>
I am running SuSE 10.1, x86_64 version

This was a fairly recent clean install. Everything was working fine,
including zen-updater, as I had installed 10.1 after a number of the
zen-updater patches were released.

I went away for two weeks and turned off my computer. Upon returning to work,
when I first turned on the computer, zen-updater gave the following error
message.

System.NullReferenceException: Object reference not set to an instance of an
object
in <0x003d9> Novell.Zenworks.Gui.ZenTrayIcon:CheckUpdatesLoop ()
in (wrapper delegate-invoke) System.MulticastDelegate:invoke_void ()


This same error message appears if I enter "zen-updater" from the command
line. I did Google for the error message but didn't find anything
applicable. Not that big a deal as I could use the Online Update feature of
Yast.

This morning, however, when I entered Yast, I found that I could no longer use
a number of the modules under YAST -> Software

Online Update, Software Management, and Installation Source all give the same
result when clicking on them. The Window opens briefly and then shuts
immediately. Thus it is no longer possible to install software using Yast,
change an installation source, or run YOU.

I did apply some updates a couple of days ago using Yast. The software is
basically standard SuSE 10.1, with the exception of a couple of packman
items.

In attempting to fix the zen-updater problem, I did check zen and zen-updater
to make sure I ahd the latest versions. In installing those YAST indicated I
had a conflict with something like "scriptlibzypp.noarch" That isn't exact,
but it did have script, noarch and libzypp in the name. I resolved the
conflict by checking off the choice not to install the script package.


Now that I have typed this, it occurs to be that I should run YAST from
runlevel 3 and see if it works there, or what error message it gives.

Mike


--
Michael A. Coan
Woodlawn Foundation
524 North Avenue, Suite 203
New Rochelle, NY 10801-3410
Tel: 914-632-3778
Fax: 914-632-5502

--
Check the headers for your unsubscription address
For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
Also check the archives at http://lists.suse.com
Please read the FAQs: suse-linux-e-faq@xxxxxxxx


< Previous Next >
This Thread
Follow Ups